Get Origin Shield Queue Statistics
curl --request GET \
--url https://api.bunny.net/pullzone/{pullZoneId}/originshield/queuestatistics \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/pullzone/{pullZoneId}/originshield/queuestatistics"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/pullzone/{pullZoneId}/originshield/queuestatistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ConcurrentRequestsChart": {},
"QueuedRequestsChart": {}
}Statistics
Get Origin Shield Queue Statistics
GET
/
pullzone
/
{pullZoneId}
/
originshield
/
queuestatistics
Get Origin Shield Queue Statistics
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
Id of a Pull Zone
Query Parameters
(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.
(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.
(Optional) If true, the statistics data will be returned in hourly groupping.
Last modified on September 1, 2026
Was this page helpful?